Skip to main content
POST
/
sdk
/
v1
/
runs
/
{runID}
/
progress
Report execution progress
curl --request POST \
  --url https://api.strait.dev/sdk/v1/runs/{runID}/progress \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message": "<string>",
  "percent": 123,
  "eta_seconds": 123,
  "step": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "message": "<string>",
  "run_id": "<string>",
  "type": "<string>",
  "$schema": "<string>",
  "data": "<unknown>",
  "level": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

runID
string
required

Body

application/json
message
string
required
percent
number<double>
required
eta_seconds
integer<int64>
step
string

Response

OK

created_at
string<date-time>
required
id
string
required
message
string
required
run_id
string
required
type
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/RunEvent.json"

data
any
level
string